{{ $baseurl := .Site.BaseURL }}
{{ "<!-- NAVIGATION -->" | safeHTML }}
<nav id="mainNav" class="navbar navbar-default navbar-fixed-top">
    <div class="container-fluid">
        {{ "<!-- Brand and toggle get grouped for better mobile display -->" | safeHTML }}
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand page-scroll" href="{{ .Site.BaseURL }}#page-top">{{ with .Site.Params.navigation.brand }}{{ . }}{{ end }}</a>
        </div>
        {{ "<!-- Collect the nav links, forms, and other content for toggling -->" | safeHTML }}
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav navbar-right">
                <li>
                    <a href="{{ $baseurl }}doc/index.html">Documentation</a>
                </li>
                {{ with .Site.Params.navigation.links.demo }}
                <li>
                    <a class="page-scroll" href="{{ $baseurl }}#demo">{{ . }}</a>
                </li>
                {{ end }}
                {{ with .Site.Params.navigation.links.services }}
                <li>
                    <a class="page-scroll" href="{{ $baseurl }}#services">{{ . }}</a>
                </li>
                {{ end }}
                {{ with .Site.Params.navigation.links.installation }}
                <li>
                    <a class="page-scroll" href="{{ $baseurl }}#installation">{{ . }}</a>
                </li>
                {{ end }}
                {{ with .Site.Params.navigation.links.contribute }}
                <li>
                    <a class="page-scroll" href="{{ $baseurl }}#contribute">{{ . }}</a>
                </li>
                {{ end }}
                {{ with .Site.Params.navigation.links.author }}
                <li>
                    <a class="page-scroll" href="{{ $baseurl }}#author">{{ . }}</a>
                </li>
                {{ end }}
            </ul>
        </div>
        {{ "<!-- /.navbar-collapse -->" | safeHTML }}
    </div>
    {{ "<!-- /.container-fluid -->" | safeHTML }}
</nav>
